Scientific Linux Security Update : pixman on SL5.x, SL6.x i386/x86_64

This script is Copyright (C) 2013-2014 Tenable Network Security, Inc.


Synopsis :

The remote Scientific Linux host is missing one or more security
updates.

Description :

An integer overflow, which led to a heap-based buffer overflow, was
found in the way pixman handled trapezoids. If a remote attacker could
trick an application using pixman into rendering a trapezoid shape
with specially crafted coordinates, it could cause the application to
crash or, possibly, execute arbitrary code with the privileges of the
user running the application. (CVE-2013-6425)

All applications using pixman must be restarted for this update to
take effect.

See also :

http://www.nessus.org/u?78a836af

Solution :

Update the affected pixman, pixman-debuginfo and / or pixman-devel
packages.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P)

Family: Scientific Linux Local Security Checks

Nessus Plugin ID: 71630 ()

Bugtraq ID:

CVE ID: CVE-2013-6425